Bug 480635 - Bug in F10 version of python-logilab-common causes pylint test suite failure
Bug in F10 version of python-logilab-common causes pylint test suite failure
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-logilab-common (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Konstantin Ryabitsev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-19 10:17 EST by Mads Kiilerich
Modified: 2009-05-01 19:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-01 19:57:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mads Kiilerich 2009-01-19 10:17:25 EST
Description of problem:

The pylint test suite currently fails - both pylint-0.14.0-1 (which is currently in Fedora 10) and the upstream development tree.

It fails with "TypeError: run() takes exactly 2 arguments (4 given)". That was a bug which was fixed in http://www.logilab.org/cgi-bin/hgwebdir.cgi/logilab/common/rev/ad7b0df142c3

Applying just that patch seems to work for me:
cd /usr/lib/python2.5/site-packages/logilab/common/
curl http://www.logilab.org/cgi-bin/hgwebdir.cgi/logilab/common/raw-rev/ad7b0df142c3 | patch -p1

It also works fine with the current F11 package (rebuild for F10). So tagging that version for F10 would solve the problem too.

I don't know if any of these solutions are acceptable, but at least this issue will now describe a workaround ;-)


Version-Release number of selected component (if applicable):

python-logilab-common-0.32.0-1.fc10.noarch
Comment 1 Mads Kiilerich 2009-02-19 07:26:51 EST
F11/rawhide contains python-logilab-common-0.38.0-1.fc11.noarch and that solves this issue.

So if maintainer don't want to fix it for F10 it can be marked closed or release pending.

Note You need to log in before you can comment on or make changes to this bug.